/* Automatically generated nanopb header */
/* Generated by nanopb-0.4.0-dev at Tue Oct  9 15:58:33 2018. */

#ifndef PB_GOOGLE_PROTOBUF_API_PB_H_INCLUDED
#define PB_GOOGLE_PROTOBUF_API_PB_H_INCLUDED
#include <pb.h>

#include "google/protobuf/source_context.pb.h"

#include "google/protobuf/type.pb.h"

/* @@protoc_insertion_point(includes) */
#if PB_PROTO_HEADER_VERSION != 30
#error Regenerate this file with the current version of nanopb generator.
#endif

#ifdef __cplusplus
extern "C" {
#endif

/* Struct definitions */
typedef struct _google_protobuf_Mixin {
    pb_callback_t name;
    pb_callback_t root;
/* @@protoc_insertion_point(struct:google_protobuf_Mixin) */
} google_protobuf_Mixin;

typedef struct _google_protobuf_Api {
    pb_callback_t name;
    pb_callback_t methods;
    pb_callback_t options;
    pb_callback_t version;
    google_protobuf_SourceContext source_context;
    pb_callback_t mixins;
    google_protobuf_Syntax syntax;
/* @@protoc_insertion_point(struct:google_protobuf_Api) */
} google_protobuf_Api;

typedef struct _google_protobuf_Method {
    pb_callback_t name;
    pb_callback_t request_type_url;
    bool request_streaming;
    pb_callback_t response_type_url;
    bool response_streaming;
    pb_callback_t options;
    google_protobuf_Syntax syntax;
/* @@protoc_insertion_point(struct:google_protobuf_Method) */
} google_protobuf_Method;

/* Default values for struct fields */

/* Initializer values for message structs */
#define google_protobuf_Api_init_default         {{{NULL}, NULL}, {{NULL}, NULL}, {{NULL}, NULL}, {{NULL}, NULL}, google_protobuf_SourceContext_init_default, {{NULL}, NULL}, _google_protobuf_Syntax_MIN}
#define google_protobuf_Method_init_default      {{{NULL}, NULL}, {{NULL}, NULL}, 0, {{NULL}, NULL}, 0, {{NULL}, NULL}, _google_protobuf_Syntax_MIN}
#define google_protobuf_Mixin_init_default       {{{NULL}, NULL}, {{NULL}, NULL}}
#define google_protobuf_Api_init_zero            {{{NULL}, NULL}, {{NULL}, NULL}, {{NULL}, NULL}, {{NULL}, NULL}, google_protobuf_SourceContext_init_zero, {{NULL}, NULL}, _google_protobuf_Syntax_MIN}
#define google_protobuf_Method_init_zero         {{{NULL}, NULL}, {{NULL}, NULL}, 0, {{NULL}, NULL}, 0, {{NULL}, NULL}, _google_protobuf_Syntax_MIN}
#define google_protobuf_Mixin_init_zero          {{{NULL}, NULL}, {{NULL}, NULL}}

/* Field tags (for use in manual encoding/decoding) */
#define google_protobuf_Mixin_name_tag           1
#define google_protobuf_Mixin_root_tag           2
#define google_protobuf_Api_name_tag             1
#define google_protobuf_Api_methods_tag          2
#define google_protobuf_Api_options_tag          3
#define google_protobuf_Api_version_tag          4
#define google_protobuf_Api_source_context_tag   5
#define google_protobuf_Api_mixins_tag           6
#define google_protobuf_Api_syntax_tag           7
#define google_protobuf_Method_name_tag          1
#define google_protobuf_Method_request_type_url_tag 2
#define google_protobuf_Method_request_streaming_tag 3
#define google_protobuf_Method_response_type_url_tag 4
#define google_protobuf_Method_response_streaming_tag 5
#define google_protobuf_Method_options_tag       6
#define google_protobuf_Method_syntax_tag        7

/* Struct field encoding specification for nanopb */
extern const pb_field_t google_protobuf_Api_fields[8];
extern const pb_field_t google_protobuf_Method_fields[8];
extern const pb_field_t google_protobuf_Mixin_fields[3];

/* Maximum encoded size of messages (where known) */
/* google_protobuf_Api_size depends on runtime parameters */
/* google_protobuf_Method_size depends on runtime parameters */
/* google_protobuf_Mixin_size depends on runtime parameters */

/* Message IDs (where set with "msgid" option) */
#ifdef PB_MSGID

#define API_MESSAGES \


#endif

#ifdef __cplusplus
} /* extern "C" */
#endif
/* @@protoc_insertion_point(eof) */

#endif
